Bug 1257575 - Missing buttons and power management on host edit after saving host with wrong power management
Summary: Missing buttons and power management on host edit after saving host with wron...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Alexander Wels
QA Contact: Petr Matyáš
URL:
Whiteboard:
Depends On:
Blocks: 1158861
TreeView+ depends on / blocked
 
Reported: 2015-08-27 11:34 UTC by Petr Matyáš
Modified: 2016-04-20 01:29 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-20 01:29:45 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)
screenshot (163.10 KB, image/png)
2015-08-27 11:34 UTC, Petr Matyáš
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 45595 'None' 'MERGED' 'webadmin: Fence agent duplicate ip' 2019-12-05 02:20:36 UTC
oVirt gerrit 45880 'None' 'MERGED' 'webadmin: Fence agent duplicate ip' 2019-12-05 02:20:36 UTC
oVirt gerrit 46479 'None' 'MERGED' 'webadmin: fence agent duplicate agents' 2019-12-05 02:20:36 UTC
oVirt gerrit 46538 'None' 'MERGED' 'webadmin: fence agent duplicate agents' 2019-12-05 02:20:36 UTC

Description Petr Matyáš 2015-08-27 11:34:46 UTC
Created attachment 1067690 [details]
screenshot

Description of problem:
I tried to add to host with already configured and working drac5 power management, 2 more ipmilan power managements, same address/user/password for all 3 power managements. After saving if I try to edit the host again I can't see OK/Cancel buttons, power management is disabled and all power managements are missing.

Version-Release number of selected component (if applicable):
rhevm-3.6.0-0.12.master.el6.noarch
rhevm-webadmin-portal-3.6.0-0.12.master.el6.noarch

How reproducible:
always

Steps to Reproduce:
1. configure host with drac5 pm
2. add 2 more pm with same address, user and password but type ipmilan and save the dialog
3. try to edit the host again

Actual results:
described above and in attached screenshot

Expected results:
error before saving the dialog with 2 of the same power management or correct dialog appearance

Additional info:

Comment 1 Einav Cohen 2015-08-28 15:43:08 UTC
Petr, can you please check if there are any javascript exceptions / anything unusual in the browser's console log?

Comment 3 Petr Matyáš 2015-09-21 17:26:41 UTC
You can still set up the same power management, when you set one with IP and the other with FQDN, but that doesn't cause any problems, so it's OK.

Other thing is that I can't set up the same PM but with another type, eg. if I want sequential agents, first drac5 and if it fails, I might want to use ipmilan.

Comment 4 Alexander Wels 2015-09-21 17:59:19 UTC
Obviously the frontend has no ability to determine if a FQDN is the same as an ip address.

So I wasn't aware that one should be allowed to use the same ip address but with a different type. Can you point me to the specification of these requirements so I can double check anything else hasn't been missed?

Comment 5 Petr Matyáš 2015-09-22 06:58:23 UTC
I cannot, it's just a logical thing to have. And I hope the only one missing in scope of this bug.

Comment 6 Alexander Wels 2015-09-22 12:08:30 UTC
Well it obviously wasn't logic to me, but I have posted a patch that checks for the ip/type combination instead of just the ip, so you can have duplicate ips with different types.


Note You need to log in before you can comment on or make changes to this bug.